﻿/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
}
.header-style1 .header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;

}
.header-style1 .header-logo{
    display: block;
    float: left;
    position: relative;
}
.header-style1 .header-menu{
    display: block;
    float: right;
    font-size: 0;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
}


/*--------------header-style2-----------------*/
.header-style2{
    display: block;
    position: fixed;
    top: 0;
    width: 100%;
    left: 0;
    z-index: 999;
}
.header-style2 .header-logo{
    display: none;
}
.header-style2 .rwd-menu{
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 50px;
    height: 50px;
    background-color: #FFF;
    padding: 15px 0;
    box-sizing: border-box;
    cursor: pointer;
    transition: all .3s linear;
}
.header-style2 .header-menu-box{
    width: 100%;
    height: 100vh;
    display: table;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    transition: all .4s linear;
    opacity: 0;
    background-color: #01344f;
    transform: scale(0.9);
}
.header-style2 .header-menu-box.active{
    opacity: 1;
    pointer-events: auto;
    transform: scale(1);
}
.header-style2 .header-menu{
    display: table-cell;
    vertical-align: middle;
}
.header-style2 .header-menu ul{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    text-align: center;
}
.header-style2 .rwd-menu span{
    width: 20px;
    height: 1px;
    display: block;
    background-color: #01344f;
}

.header-style2 .header-menu-title{
    font-size: 20px;
    font-weight: bold;
    color: #FFF;
    letter-spacing: 5px;
}
.header-style2 .rwd-menu.active{
    background-color: transparent;
}


/* --------------header3------------- */
.header-style3{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #FFF;
    z-index: 999;

}

.header-style3 .header-box{
    width: 1200px;
    display: block;
    max-width: 100%;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    padding: 10px 0;
}
.header-style3 .header-logo{
    display: inline-block;
    width: 266px;
    max-width: 100%;
}
.header-style3 .header-menu{
    width: calc(100% - 266px);
    display: inline-block;
    vertical-align: bottom;
    text-align: right;
}

.header-style3 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding: 0 20px;
    font-size: 16px;
    letter-spacing: 2px;
}
.header-style3 .header-menu> li:last-child:after{
    content: 'none';
    font-size: 0;
    width: 1px;
    height: 30px;
    display: block;
    background-color: #dddddd;
    position: absolute;
    right: 0;
    top: 0;
}
.header-style3 .header-menu> li:before{
    content: 'none';
    font-size: 0;
    width: 1px;
    height: 30px;
    display: block;
    background-color: #dddddd;
    position: absolute;
    left: 0;
}
/* ----------------------------header3購物車-------------------------------- */
.header-link-box{
    display: block;
    position: absolute;
    top: 24px;
    right: 0;
    transition: all .3s linear;
}
.header2 .header-link-box{
    top: 10px;
}
.header-link-box i{
    font-size: 14px;
    transition: all .3s linear;
}
.header-member-box{
    display: inline-block;
    color: #6b088c;
    letter-spacing: 2px;
    vertical-align: top;
    transition: all .3s linear;
}
.header-member-title{
    font-size: 14px;
    display: inline-block;
}
.header-shopcar-box{
    color: #ffa733;
    display: inline-block;
    vertical-align: top;
    letter-spacing: 2px;
    margin-left: 20px;
}
.header-buycar{
    display: block;
    padding-bottom: 10px;
}
.header-member-title span{
    color: #ff3333;
    font-size: 14px;
    display: inline-block;
}
.header-shopcar-info-box{
    width: 140px;
    height: 100px;
    display: block;
    z-index: 1;
    position: absolute;
    background-color: #FFF;
    border: 1px solid #ffa733;
    text-align: center;
    padding: 10px 0;
    box-sizing: border-box;
    right: 0;
    transform: scale(0, 1);
    transition: all .3s linear;
    transform-origin: right;
}
.header-shopcar-icon{
    width: 10px;
    height: 10px;
    background-color: #FFF;
    border-left: 1px solid #ffa733;
    border-top:  1px solid #ffa733;
    position: absolute;
    transform: rotate(5deg);
}
.header-shopcar-products{
    display: inline;
    font-size: 14px;
    color: #565656;
}
.header-shopcar-info-box .header-shopcar-products{
    display: block;
}
.header-shopcar-money{
    display: block;
    font-size: 14px;
    color: #565656;
    margin: 5px 0;
}
.header-shopcar-info-box a{
    font-size: 14px;
    color: #22921a;
    font-weight: bold;
    transition: all .3s linear;
}
.header-shopcar-info-box:after{
    content: 'none';
    font-size: 0;
    width: 15px;
    height: 15px;
    border-top: 2px solid #ffa733;
    border-right: 2px solid #ffa733;
    display: block;
    position: absolute;
    top: -9px;
    right: 20px;
    background-color: #FFF;
    transform: rotate(-45deg);
}

/* 會員登入 */
/* --------------會員登入--------------- */
.member-table{
    width: 100%;
    height: 100vh;
    display: none;
    top: 0;
    left: 0;
    z-index: 9999;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.2)
}
.member-active{
    display: table;
} 
.table-mid{
    display: table-cell;
    vertical-align: middle;
}
.member-in-box{
    width: 800px;
    max-width: 100%;
    min-height: 400px;
    font-size: 0;
    position: relative;
    display: block;
    border: 14px solid #ffa733;
    margin: 0 auto;
    background-color: #FFF;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 20px 40px;
}

.member-in{
    width: calc(50% - 1px);
    vertical-align: middle;
    display: inline-block;
    font-size: 0;
    clear: both;
    border-right: 1px solid #ddd;
}

.member-in-close{
    width: 45px;
    height: 45px;
    max-width: 100%;
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    font-size: 20px;
    line-height: 36px;
    background-color: #d2d2d2;
    text-align: center;
    color: #000;
    transition: all .3s linear;
    cursor: pointer;
}

.member-in-link{
    width: 50%;
    display: inline-block;
    vertical-align: middle;
    padding: 0 50px;
    box-sizing: border-box;
}
.member-in-title{
    font-size: 20px;
    color: #ffa733;
    display: block;
    position: relative;
    letter-spacing: 4px;
    padding-left: 10px;
    box-sizing: border-box;
    width: 100%;
    padding-bottom: 20px;
    font-weight: bold;
}
.member-in-title:before{
    content: 'normal';
    font-size: 0;
    width: 4px;
    height: 20px;
    display: block;
    background-color: #ddd;
    position: absolute;
    left: 0;
    top: 6px;

}
.member-in-line{
    width: 1px;
    height: 280px;
    display: inline-block;
    vertical-align: middle;
    background-color: #ddd;


}
.member-in-info{
    width: 280px;
    max-width: 100%;
}
.member-in-info li{
    display: block;  
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    border: 1px solid  #ddd;
}
.member-in-info li:first-child{
    margin-bottom: 20px;
}
.member-in-info-input{
    width: 100%;
    height: 46px;
    line-height: 46px;
    border: 0;
}
.member-in-info-input{
    font-size: 16px ;
    color: #333333;
    padding-left: 10px;
    box-sizing: border-box;
    letter-spacing: 2px;
}
#myCanvas{
    display: inline-block;
    vertical-align: middle;
}
#inputCode{
    width: calc( 100% - 100px );
    display: inline-block;
    vertical-align: middle;
    border-left: 1px solid #eee;
}
.member-change-verification{
    font-size: 14px;
    margin-top: 5px;
}

.member-in-info-input::-webkit-input-placeholder { color: #333333; font-family: "微軟正黑體"}
.member-in-info-input:-moz-placeholder { color: #333333; font-family: "微軟正黑體"}
.member-in-info-input::-moz-placeholder { color: #333333;font-family: "微軟正黑體" }
.member-in-info-input:-ms-input-placeholder { color: #333333;font-family: "微軟正黑體" }

.member-in-forget{
    font-size: 14px;
    color:#d51515;
    float: right;
    display: block;
    margin: 10px 0;
    letter-spacing: 1px;
    font-weight: bold;
}
.member-in-forget:after{
    content: 'none';
    font-size: 0;
    display: block;
    clear: both;
}
.button{
    clear: both;
}
.member-in-info li.button{
    border: 0;
}
.member-in-info li.button input{
    width: 100%;
    height: 46px;
    display: block;
    background-color: #ddd;
    color: #FFF;
    border: 0;
    font-size: 16px;
    letter-spacing: 2px;
    font-family: "微軟正黑體" ;
}
.member-in-link a{
    width: 100%;
    display: block;
    height: 46px;
    line-height: 46px;
    text-align: center;
    color: #FFF;
    font-size: 16px;
    letter-spacing: 2px;
}
.member-in-join-link{
    background-color: #e28db6;
    margin-bottom: 30px;
}
.member-in-join-fb{
    background-color: #3c5b9a;
}
.member-in-join-fb span{
    font-weight: bold;
}
.member-in-link-p{
    font-size: 16px;
    color: #555;
    font-weight: bold;
    letter-spacing: 1px;
}
.member-button{
    display: block;
    width: 100%;
    height: 46px;
    text-align: center;
    letter-spacing: 2px;
    background-color: #ffa733;
    border: 0;
    font-family: "微軟正黑體";
    font-size: 16px;
    cursor: pointer;
}
.member-in-facebook{
    font-size: 16px;
    text-align: center;
    display: block;
    width: 100%;
    height: 46px;
    background-color: #415e9b;
    line-height: 46px;
    color: #FFF;
    letter-spacing: 2px;
    margin-top: 20px;
}
.member-in-link .member-in-link-p:nth-child(1){
    padding-bottom: 10px;
}
.member-in-link .member-in-link-p:nth-child(2){
    padding-top: 10px;
}

/* ------------忘記密碼-------------- */
.member-forget-box{
    width: 280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    clear: both;
}

.member-forget-box .member-in-title{
    padding-bottom: 30px;
}

.member-forget-box .member-in-info li.button{
    margin-top: 30px;
}
#member-forget .member-in-title,
#member-forget .member-in{
    width: 280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
#member-forget .member-in{
    border-right: 0;
}
.forter-button{
    width: 100%; 
    height: 46px;
    background-color: #ffa733;
    border: 0;
    line-height: 46px;
    font-size: 16px;
    margin-top: 20px;
    font-family: "微軟正黑體";
    letter-spacing: 2px;
}
#member-forget .member-in-box{
    padding: 70px 40px;
}

.header-member-show{
    display: inline-block;
    color: #6b088c;
    letter-spacing: 1px;
}
.header-member-name{
    font-size: 14px;
    color: #6b088c;
    display: inline-block;
    letter-spacing: 1px;
    padding-left: 5px;
}
.header-member-show span{
    font-size: 14px ;

     color: #ff3333;
    margin-left: 10px;
}
.header-member-show a:nth-child(4){
    
     color: #ffa733;
    font-size: 14px;
    display: inline-block;
    margin-left: 5px;
}
.header-member-show-line{
    width: 1px;
    height: 10px;
    display: inline-block;
    background-color: #ddd;
    margin-left: 10px;
}
.header-member-show-out{
    font-size: 14px;
    letter-spacing: 1px;
    color: #ff3333;
    margin-left: 10px;
}
/* -------------------------------------------------------------- */
.header2.header-style2 .rwd-menu{
    background-color: #01344f;
}
.header2.header-style2 .rwd-menu span{
    background-color: #FFF;
}
.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 18px;
    position: relative;
}
div.header-menu-title{
    cursor: context-menu;
}


.header-menu-list{
    width: 100%;
    display: block;
    padding: 5px 0;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 25px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 40px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #000;
    position: relative;
}
#index .rwd-menu span{
    background-color: #FFF;
}
.rwd-menu span:nth-child(even){
    margin: 8px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -19px;
    transform:  scale(0) rotate(-45deg);
}

.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}




@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 95%;
        margin: 0 auto;
    
    }
    .header-style2 .header-menu ul{
        width: 100%;
    }
}

@media only screen and (max-width: 1000px){
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu span{
        background-color: #FFF;
    }
    .header-style1 .rwd-menu{
        top: 18px;
    }
    .header-style1 .header-menu{
        width: 300px;
        float: none;
        position: absolute;
        left: -300px;
        top: 0;
        height: 100vh;
        transition: all .3s linear;
        background-color: rgba(58, 145, 199, 1);
        z-index: 9;
    }
    .header-style1  .header-menu li{
        width: 100%;
        display: block;
    }

    .header-style1  .header-style1 .header-menu.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box{
        transform: scale(1, 1);
        width: 300px;
        left: -300px;
        transition: all .3s linear;
        position: fixed;
        top: 0;
        height: 100vh;
        background-color: #000;
        z-index: 9;
    }
    .header-style1  .header-menu-list-box.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box li{
        background-color: transparent;
    }
    .header-style1  .rwd-menu-list-back{
        display: block;
        color: #FFF;
        text-align: right;
        padding: 20px 0;
        border-bottom: 1px solid #EEE;
        width: 100%;
        box-sizing: border-box;
        padding-right: 20px;
    }
    .header-style1  .header-menu li{
        width: 100%;
        padding: 0;
    }
    .header-style1 .header-menu-list{
        padding: 10px 0;
        padding-left: 10px;
        box-sizing: border-box;
        border-bottom: 1px solid #FFF;
    }
}

#index-products-link{
    position: relative;
    top: -80px;
}